Bug 433578 - im-settings-deamon can not start XIM_PROG correctly
im-settings-deamon can not start XIM_PROG correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-chooser (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 431810
  Show dependency treegraph
 
Reported: 2008-02-19 23:41 EST by Peng Huang
Modified: 2008-03-20 03:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 03:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-02-19 23:41:49 EST
Description of problem:
im-settings-deamon can not start XIM_PROG correctly

Version-Release number of selected component (if applicable):
imsettings-0.99.1-1.fc9.i386

How reproducible:

Steps to Reproduce:
1.Edit /etc/X11/xinit/xinput.d/scim.conf.
Change XIM_PROGRAM & XIM_ARGS:
{{{
  XIM_PROGRAM=/usr/lib/scim-1.0/scim-launcher
  XIM_ARGS="-c socket -e socket -f x11"
}}}
2. Restart desktop
3. Use im-chooser to enable SCIM
  
Actual results:
im-settings-daemon only pass arguments "-c" to /usr/lib/scim-1.0/scim-launcher.

Expected results:
im-settings-daemon all pass arguments "-c socket -e socket -f x11" to
/usr/lib/scim-1.0/scim-launcher.


Additional info:
Comment 1 Akira TAGOH 2008-02-20 00:45:20 EST
Fixed in 0.99.3-1.fc9.

Note You need to log in before you can comment on or make changes to this bug.